﻿using System;
using System.Web;
using System.Web.UI;
using System.Web.UI.WebControls;
using ASPSnippets.FaceBookAPI;
using System.Web.Script.Serialization;
using System.Collections.Generic;

public partial class CS : System.Web.UI.Page
{
    protected void Page_Load(object sender, EventArgs e)
    {
        FaceBookConnect.API_Key = "<Your API Key>";
        FaceBookConnect.API_Secret = "<Your API Secret>";
        if (!IsPostBack)
        {
            string code = Request.QueryString["code"];
            if (!string.IsNullOrEmpty(code))
            {
                //Fetch User Albums
                string data = FaceBookConnect.Fetch(code, "me/?fields=albums");
                Album faceBookAlbum = new JavaScriptSerializer().Deserialize<Album>(data);

                FaceBookAlbum album = faceBookAlbum.Albums.Data.Find(a => a.Name == "Profile Pictures");

                //Fetch Images for the "Profile Pictures" Album
                data = FaceBookConnect.Fetch(code, album.Id + "/photos?fields=source");
                album.Images = new JavaScriptSerializer().Deserialize<FaceBookImageData>(data).Data;

                //The First Image is the Profile Picture of the user
                imgProfile.ImageUrl = album.Images[0].Source;
                imgProfile.Visible = true;
            }
        }
    }

    protected void Fetch(object sender, EventArgs e)
    {
        FaceBookConnect.Authorize("user_photos", Request.Url.AbsoluteUri.Split('?')[0]);
    }
}

public class Album
{
    public FaceBookAlbums Albums { get; set; }
    public string Id { get; set; }
}
public class FaceBookAlbums
{
    public List<FaceBookAlbum> Data { get; set; }
}

public class FaceBookAlbum
{
    public string Id { get; set; }
    public string Name { get; set; }
    public List<FaceBookImage> Images { get; set; }
}

public class FaceBookImageData
{
    public List<FaceBookImage> Data { get; set; }
}

public class FaceBookImage
{
    public string Source { get; set; }
}


