﻿Imports ASPSnippets.FaceBookAPI
Imports System.Web.Script.Serialization
Imports System.Collections.Generic

Partial Class VB
    Inherits System.Web.UI.Page
    Protected Sub Page_Load(sender As Object, e As EventArgs) Handles Me.Load
        FaceBookConnect.API_Key = "<Your API Key>"
        FaceBookConnect.API_Secret = "<Your API Secret>"
        If Not IsPostBack Then
            Dim code As String = Request.QueryString("code")
            If Not String.IsNullOrEmpty(code) Then
                'Fetch User Albums
                Dim data As String = FaceBookConnect.Fetch(code, "me/?fields=albums")
                Dim faceBookAlbum As Album = New JavaScriptSerializer().Deserialize(Of Album)(data)

                Dim album As FaceBookAlbum = faceBookAlbum.Albums.Data.Find(Function(a) a.Name = "Profile Pictures")

                'Fetch Images for the "Profile Pictures" Album
                data = FaceBookConnect.Fetch(code, album.Id + "/photos?fields=source")
                album.Images = New JavaScriptSerializer().Deserialize(Of FaceBookImageData)(data).Data

                'The First Image is the Profile Picture of the user
                imgProfile.ImageUrl = album.Images(0).Source
                imgProfile.Visible = True
            End If
        End If
    End Sub

    Protected Sub Fetch(sender As Object, e As EventArgs)
        FaceBookConnect.Authorize("user_photos", Request.Url.AbsoluteUri.Split("?")(0))
    End Sub
End Class

Public Class Album
    Public Property Albums() As FaceBookAlbums
    Public Property Id() As String
End Class
Public Class FaceBookAlbums
    Public Property Data() As List(Of FaceBookAlbum)
End Class

Public Class FaceBookAlbum
    Public Property Id() As String
    Public Property Name() As String
    Public Property Images() As List(Of FaceBookImage)
End Class

Public Class FaceBookImageData
    Public Property Data() As List(Of FaceBookImage)
End Class

Public Class FaceBookImage
    Public Property Source() As String
End Class




